## nvidia-cuda-toolkit 12.5.0

=== debian/changelog ===
nvidia-cuda-toolkit (12.5.0-2) experimental; urgency=medium

  * Merge changes from 12.4.1-6.
  * Drop nvidia-openjdk-8-jre packaging support.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Jan 2026 11:21:34 +0100

nvidia-cuda-toolkit (12.5.0-1) experimental; urgency=medium

  * New upstream release 12.5.0 (May 2024).
    * Support for the ppc64el architecture has been discontinued.
  * [ppc64el] Remove packaging support.
  * [arm64] Remove math-vector.h workaround.
  * Refresh patches.
  * SOVERSION bump, rename library packages:
    - libaccinj64-12.4 => libaccinj64-12.5
    - libcuinj64-12.4 => libcuinj64-12.5
    - libnvrtc-builtins12.4 => libnvrtc-builtins12.5
  * Update symbols control files.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 10 Sep 2025 10:24:53 +0200

nvidia-cuda-toolkit (12.4.1-6) unstable; urgency=medium

  * Disable building nvidia-visual-profiler due to GTK2 dependency.
    (Closes: #967657)
  * Disable building nvidia-openjdk-8-jre.
  * Add B-D: ibverbs-providers after libmlx5.so.1 was moved into that package.
    (Closes: #1126221)
  * Bump Standards-Version to 4.7.3.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Jan 2026 10:21:52 +0100

nvidia-cuda-toolkit (12.4.1-5) unstable; urgency=medium

  * Use a snapshot of openjdk-8-jre (8u472-ga-1).
  * Fix nvidia-fs kernel module build for Linux 6.16.
  * Drop redundant Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 20 Dec 2025 16:37:00 +0100
