=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# cuda-gdb/README mentions --enable-targets="x86_64-unknown-linux-gnu,arm-elf-linux-gnu,m68k-unknown-linux-gnu"
CUDA_GDB_FLAGS	 =
CUDA_GDB_FLAGS	+= --program-prefix=cuda-
CUDA_GDB_FLAGS	+= --with-gdb-datadir='$${prefix}/share/cuda-gdb'
CUDA_GDB_FLAGS	+= --with-jit-reader-dir='$${libdir}/cuda-gdb'
CUDA_GDB_FLAGS	+= --with-system-gdbinit='$${sysconfdir}/cuda-gdb/gdbinit'
CUDA_GDB_FLAGS	+= --with-system-gdbinit-dir='$${sysconfdir}/cuda-gdb/gdbinit.d'
CUDA_GDB_FLAGS	+= --enable-cuda
CUDA_GDB_FLAGS	+= --enable-targets="$(DEB_HOST_GNU_TYPE),m68k-unknown-linux-gnu"
CUDA_GDB_FLAGS	+= --disable-nls
CUDA_GDB_FLAGS	+= --disable-inprocess-agent
CUDA_GDB_FLAGS	+= --disable-rpath
CUDA_GDB_FLAGS	+= --disable-gprofng
# the following flags were taken from gdb 13.1 (bookworm)
CUDA_GDB_FLAGS	+= --disable-gdbtk
CUDA_GDB_FLAGS	+= --disable-shared
CUDA_GDB_FLAGS	+= --disable-readline
CUDA_GDB_FLAGS	+= --with-system-readline
CUDA_GDB_FLAGS	+= --with-expat
CUDA_GDB_FLAGS	+= --with-system-zlib
CUDA_GDB_FLAGS	+= --without-guile
CUDA_GDB_FLAGS	+= --with-debuginfod
CUDA_GDB_FLAGS	+= --with-babeltrace
ifneq (,$(filter $(DEB_HOST_ARCH),amd64))
CUDA_GDB_FLAGS	+= --with-intel-pt
endif
CUDA_GDB_FLAGS	+= --enable-tui
CUDA_GDB_FLAGS	+= --with-lzma
CUDA_GDB_FLAGS	+= --with-python=python3
CUDA_GDB_FLAGS	+= --with-xxhash
CUDA_GDB_FLAGS	+= --with-mpfr
CUDA_GDB_FLAGS	+= --enable-64-bit-bfd
CUDA_GDB_FLAGS	+= --disable-sim
CUDA_GDB_FLAGS	+= --enable-obsolete
CUDA_GDB_FLAGS	+= --with-python=no

DEB_BUILD_MAINT_OPTIONS		 = hardening=+all
DEB_CPPFLAGS_MAINT_APPEND	 = -I$(CURDIR)/nvidia-cuda-tree-$(DEB_HOST_ARCH)/cuda_cudart/include
DEB_CFLAGS_MAINT_APPEND		 = -std=gnu17
DEB_LDFLAGS_MAINT_APPEND	 = -pthread

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

VENDOR			?= $(call dpkg_late_eval,VENDOR,dpkg-vendor --derives-from Ubuntu && echo Ubuntu || echo Debian)


aval			 = $(or $($(strip $1).$(or $(strip $2),$(DEB_HOST_ARCH))),$($(strip $1).default),$(error Not defined: $(strip $1)($(or $(strip $2),$(DEB_HOST_ARCH)))))
-include debian/rules.version
include debian/rules.soversion
include debian/rules.version_prefix
include debian/rules.defs
CUDA_ARCH_LIST			?= amd64
CUDA_VERSION_TOOLKIT	?= $(DEB_VERSION_UPSTREAM)
CUDA_VERSION_MAJOR	?= $(word 1,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
CUDA_VERSION_MINOR	?= $(word 2,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
CUDA_VERSION		?= $(CUDA_VERSION_MAJOR).$(CUDA_VERSION_MINOR)
version_driver		 = $(call aval,CUDA_VERSION_DRIVER_MINIMAL)
PACKAGE_LIST		:= $(shell dh_listpackages)
CUDA_GDB_VERSION	?= $(CUDA_VERSION_cuda_gdb)
DEFAULT_GCC_VERSION	?= $(error Undefined DEFAULT_GCC_VERSION)
CCCL_VERSION		?= $(or $(strip $(shell perl -ne 'if (/define\s+CCCL_VERSION\s+(\d*)/) { printf "%d.%d.%d\n", $$1 / 1000000, $$1 / 1000 % 1000, $$1 % 1000; }' nvidia-cuda/cuda_cccl/include/cuda/std/detail/libcxx/include/__cccl/version.h)),$(error empty CCCL_VERSION))
NVIDIA_FS_DKMS_VERSION	?= $(nvidia-fs-dkms.VERSION)
NVIDIA_FS_DKMS_SHORTVER	?= $(word 1,$(subst ., ,$(nvidia-fs-dkms.VERSION))).$(word 2,$(subst ., ,$(nvidia-fs-dkms.VERSION)))
CUDA_JAVA_HOME		?= /usr/lib/jvm/java-8-openjdk-$(DEB_HOST_ARCH)
libdir			 = usr/lib/$(DEB_HOST_MULTIARCH)
nvidia_profiler_pkg	?= $(filter nvidia-profiler,$(PACKAGE_LIST))
visual_profiler_pkg	?= $(filter nvidia-visual-profiler,$(PACKAGE_LIST))

UPSTREAM_HOST_ARCH	?= $(call aval,UPSTREAM_HOST_ARCH)

export NSIGHT_COMPUTE_DESKTOP_DIR	 = $(NSIGHT_COMPUTE_DESKTOP_DIR.$(DEB_HOST_ARCH))
export NSIGHT_SYSTEMS_HOST_DIR		 = $(NSIGHT_SYSTEMS_HOST_DIR.$(DEB_HOST_ARCH))
export NSIGHT_SYSTEMS_TARGET_DIR	 = $(NSIGHT_SYSTEMS_TARGET_DIR.$(DEB_HOST_ARCH))
export NVIDIA_FS_DKMS_VERSION

package_libcuda1	 = $(package_libcuda1.$(VENDOR))
package_libcuda1	+= libcuda.so.1 (>= $${nvidia:MinVersion}) |
package_libcuda1	+= libcuda-$(CUDA_VERSION_MAJOR).$(CUDA_VERSION_MINOR)-1 |

package_libnvidia-ml1	 = $(package_libnvidia-ml1.$(VENDOR))
package_libnvidia-ml1	+= libnvidia-ml.so.1 (>= $${nvidia:MinVersion}) |

package_driver		 = $(package_driver.$(VENDOR))

package_nvidia-kernel-dkms	 = $(package_nvidia-kernel-dkms.$(VENDOR))
package_nvidia-kernel-dkms	+= nvidia-kernel-dkms-any (>= $${nvidia:MinVersion}) |
package_nvidia-kernel-dkms	+= nvidia-open-kernel-dkms-any (>= $${nvidia:MinVersion}) |

# do not build nvidia-visual-profiler, needs GTK2
ifneq (,$(visual_profiler_pkg))
export DH_OPTIONS := $(DH_OPTIONS) -N$(visual_profiler_pkg)
visual_profiler_pkg	 =
endif

jre_pkg_dep		?= $(if $(jre_pkg),$(jre_pkg) (>= 9.+8u252))
jre_depends.Debian	?= $(if $(jre_pkg),$(jre_pkg_dep) |) openjdk-8-jre
jre_depends.Ubuntu	?= openjdk-8-jre | $(jre_pkg_dep)

TEMPLATES	:= $(wildcard debian/*.in debian/patches/*.in)
SOVERTEMPLATES	:= $(wildcard debian/*SOVER*)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(foreach t,$(sort $(patsubst %.in,%,$(SOVERTEMPLATES))),$(subst SOVER,$(or $($(firstword $(subst SOVER, ,$(notdir $t))).SOVERSION),XXX),$t))
AUTOGEN		+= debian/g++
AUTOCLEAN	 = $(AUTOGEN)
AUTOCLEAN	+= debian/shlibs.local


.PHONY: autogen prepare
autogen: $(AUTOGEN)
prepare: autogen unpack-stamp compare-copyright-license
prepare: update-version-prefix


# deep copy, files will get irreversibly modified via hardlinks in the build target
define nvidia-cuda-unpack-repack
	dh_testdir
	$(RM) -r $@ $@.tmp
	cp -a $1 $@
endef

nvidia-cuda-tree-%:
	$(call nvidia-cuda-unpack-$(call aval,CUDA_TAR_TYPE,$*),$*)

unpack-stamp: $(filter debian/patches%,$(AUTOGEN))
unpack-stamp: nvidia-cuda-tree-$(DEB_HOST_ARCH)
	$(RM) nvidia-cuda
	ln -sf nvidia-cuda-tree-$(DEB_HOST_ARCH) nvidia-cuda
ifneq (amd64,$(DEB_HOST_ARCH))
	# sync timestamps from amd64 for reproducible arch:all builds on all architectures
	cd nvidia-cuda && find -type f -exec sh -c 'f="{}"; test ! -f ../amd64/"$$f" || touch -r ../amd64/"$$f" "$$f"' \;
	cd nvidia-cuda && find -type d -exec sh -c 'd="{}"; test ! -d ../amd64/"$$d" || touch -r ../amd64/"$$d" "$$d"' \;
endif
	$(RM) -r cuda-gdb-$(CUDA_GDB_VERSION) cuda-gdb
ifneq (arm64,$(DEB_HOST_ARCH))
	tar xf nvidia-cuda/cuda_gdb/extras/cuda-gdb-$(CUDA_GDB_VERSION).src.tar.gz
else
	tar xf amd64/cuda_gdb/extras/cuda-gdb-$(CUDA_GDB_VERSION).src.tar.gz
endif
	mv cuda-gdb-$(CUDA_GDB_VERSION) cuda-gdb
	mv nvidia-cuda/nvidia_fs/usr/src/nvidia-fs-$(NVIDIA_FS_DKMS_SHORTVER) nvidia-cuda/nvidia_fs/usr/src/nvidia-fs
	QUILT_PATCHES=debian/patches QUILT_SERIES=series-postunpack quilt --quiltrc /dev/null push -a || test $$? = 2
	touch $@

# Reformat the EULA to the format needed for debian/copyright.
nvidia-cuda/EULA.txt: unpack-stamp
EULA.fmt: nvidia-cuda/EULA.txt
	cat $< \
		| fromdos | fromdos | expand \
		| iconv -f UTF-8 -t latin1//TRANSLIT \
		| fold -s -w 80 \
		| sed -e 's/ *$$//;s/^$$/./;s/^/ /;' \
		> $@

# Compare the license in debian/copyright with the EULA shipped in the archive.
compare-copyright-license: EULA.fmt
	sed -e '1,/^License: other-NVIDIA-CUDA-TOOLKIT/d; /^$$/,$$d; /^ .$$/d' debian/copyright > copyright.tmp
	sed -e '/^ .$$/d' EULA.fmt > EULA.tmp
	diff -w copyright.tmp EULA.tmp
	rm -f copyright.tmp EULA.tmp

dpkg-compare-versions = $(shell dpkg --compare-versions "$(1)" "$(2)" "$(3)" && echo "$(2)")

# $1 = key, $2 = value, $3 = append_to_file
define echokv
	echo '$(shell printf "%-39s" $(1)) = $(2)'	>> $(3)

endef

define update-version-prefix
	$(if $($(1).VERSION_PREFIX),$(if $(call dpkg-compare-versions,$($(1).VERSION_PREFIX),le,$(call get-upstream-version,$(1),1)),
		: DROP PREFIX $(1) $($(1).VERSION_PREFIX) $(call get-upstream-version,$(1),1)
		$(eval $(1).VERSION_PREFIX =)))
	$(if $(call dpkg-compare-versions,$($(1).PREV_VERSION),le,$(call get-current-version,$(1))),,
		$(if $(call get-upstream-version,$(1),),,$(error MISSING VERSION FOR $(1)))
		: ADD PREFIX $(1) $($(1).PREV_VERSION) $(call get-current-version,$(1))
		$(eval $(1).VERSION_PREFIX = $($(1).PREV_VERSION)+~))
	echo '' >> $(2)
